Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.windows
Class WindowsXPMenuUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.MenuItemUI
                  javax.swing.plaf.basic.BasicMenuItemUI
                      javax.swing.plaf.basic.BasicMenuUI
                          com.sun.java.swing.plaf.windows.WindowsMenuUI
                              com.jgoodies.looks.windows.WindowsXPMenuUI

    public final class WindowsXPMenuUI

extends com.sun.java.swing.plaf.windows.WindowsMenuUI

The JGoodies Windows XP look&feel implementation of `MenuUI`.

It differs from the superclass in that it uses an overhauled menu rendering an aligmnent system. Furthermore, you can set a client property `Options.NO_ICONS_KEY` to indicate that this menu has no icons.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch
See Also:
  `Options`

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.java.swing.plaf.windows.WindowsMenuUI
`com.sun.java.swing.plaf.windows.WindowsMenuUI.WindowsMouseInputHandler`

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicMenuUI
`BasicMenuUI.ChangeHandler, BasicMenuUI.MouseInputHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicMenuUI
`changeListener, menuListener, propertyChangeListener`

Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, selectionBackground, selectionForeground`

Constructor Summary
`WindowsXPMenuUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected Dimension` | `getPreferredMenuItemSize(JComponent c, Icon aCheckIcon, Icon anArrowIcon, int textIconGap)`
`protected String` | `getPropertyPrefix()`
`protected void` | `installDefaults()`
`protected void` | `paintMenuItem(Graphics g, JComponent c, Icon aCheckIcon, Icon anArrowIcon, Color background, Color foreground, int textIconGap)`
`protected void` | `uninstallDefaults()`

Methods inherited from class com.sun.java.swing.plaf.windows.WindowsMenuUI
`createMouseInputListener, paintBackground, paintText`

Methods inherited from class javax.swing.plaf.basic.BasicMenuUI
`createChangeListener, createMenuDragMouseListener, createMenuKeyListener, createMenuListener, createPropertyChangeListener, getMaximumSize, installKeyboardActions, installListeners, setupPostTimer, uninstallKeyboardActions, uninstallListeners`

Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`doClick, getMinimumSize, getPath, getPreferredSize, installComponents, installUI, paint, uninstallComponents, uninstallUI, update`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsXPMenuUI

    public WindowsXPMenuUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults()

  Overrides:
    `installDefaults` in class `com.sun.java.swing.plaf.windows.WindowsMenuUI`

### uninstallDefaults

    protected void uninstallDefaults()

  Overrides:
    `uninstallDefaults` in class `BasicMenuUI`

### getPropertyPrefix

    protected String getPropertyPrefix()

  Overrides:
    `getPropertyPrefix` in class `BasicMenuUI`

### getPreferredMenuItemSize

    protected Dimension getPreferredMenuItemSize(JComponent c,
                                                 Icon aCheckIcon,
                                                 Icon anArrowIcon,
                                                 int textIconGap)

  Overrides:
    `getPreferredMenuItemSize` in class `BasicMenuItemUI`

### paintMenuItem

    protected void paintMenuItem(Graphics g,
                                 JComponent c,
                                 Icon aCheckIcon,
                                 Icon anArrowIcon,
                                 Color background,
                                 Color foreground,
                                 int textIconGap)

  Overrides:
    `paintMenuItem` in class `BasicMenuItemUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 JGoodies Karsten Lentzsch. All Rights Reserved.